(*********************************************************************)
(*                                                                   *)
(*                            ICAR toplevel                          *)
(*                                                                   *)
(*                           Jean-Yves Moyen                         *)
(*                               Mai 2001                            *)
(*                                                                   *)
(*********************************************************************)


let _ =
  if !Sys.interactive
  then ()
  else 
    while true do
      try
	print_string ">";
	Toppars.cmd Toplex.token (Lexing.from_string (read_line()))
      with
	  _ -> print_string   "Commands are: load, add, cbv, mem, eval, getsem, setcbv, setmem\n               mpo, lpo, check, qi, print, help, quit\n"
    done

